<?php
/**
 * @package      VP Conversion Tracking
 *
 * @copyright    Copyright (C) 2012-2023 VirtuePlanet Services LLP. All rights reserved.
 * @license      GNU General Public License version 2 or later; see LICENSE.txt
 * @authors      Abhishek Das <info@virtueplanet.com>
 * @link         https://www.virtueplanet.com
 */

defined('_JEXEC') or die;

class JFormFieldGroupHeading extends JFormField
{
	protected $type = 'GroupHeading';

	public function getInput()
	{
		return '';
	}
	
	public function getLabel()
	{
		$class = isset($this->element['class']) ? ' ' . $this->element['class'] : '';
		$html = '<h4 class="vp-group-heading' . htmlspecialchars($class) . '">' . JText::_($this->element['label']) . '</h4>';
		
		if (!empty($this->element['group_description']))
		{
			$html .= '<div class="vp-group-heading-desc' . htmlspecialchars($class) . '"><span class="muted">' . JText::_($this->element['group_description']) . '</span></div>';
		}
		
		return $html;
	}
}