<?php
/**
 * @package      VP Conversion Tracking
 *
 * @copyright    Copyright (C) 2012-2023 VirtuePlanet Services LLP. All rights reserved.
 * @license      GNU General Public License version 2 or later; see LICENSE.txt
 * @authors      Abhishek Das <info@virtueplanet.com>
 * @link         https://www.virtueplanet.com
 */

defined ('_JEXEC') or die;

class VPCTHelperOrderdata extends VPCTHelperMustache
{
	protected function setProperties($order)
	{
		if ($this->_constructor === null)
		{
			$this->_constructor = $order;
		}
		
		$array = is_object($order) ? get_object_vars($order) : $order;
		
		foreach($array as $property => $value)
		{
			if (isset($order->$property))
			{
				if ($property == 'items' && is_array($value))
				{
					foreach($value as $key => &$item)
					{
						$value[$key] = new VPCTHelperOrderitem($item, $this->_mustache, $this->_constructor);
					}
				}
				
				$this->$property = $value;
			}
		}
	}
}
