<?php
/**
 * @package      VP Conversion Tracking
 *
 * @copyright    Copyright (C) 2012-2023 VirtuePlanet Services LLP. All rights reserved.
 * @license      GNU General Public License version 2 or later; see LICENSE.txt
 * @authors      Abhishek Das <info@virtueplanet.com>
 * @link         https://www.virtueplanet.com
 */
/*
 * This file is part of Mustache.php.
 *
 * (c) 2010-2015 Justin Hileman
 
 * @license The MIT License (MIT); see https://github.com/bobthecow/mustache.php/blob/master/LICENSE
 
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */
defined('_JEXEC') or die;

/**
 * Mustache Template Loader interface.
 */
interface Mustache_Loader
{
    /**
     * Load a Template by name.
     *
     * @throws Mustache_Exception_UnknownTemplateException If a template file is not found.
     *
     * @param string $name
     *
     * @return string Mustache Template source
     */
    public function load($name);
}
