<?php
/**
 * @package      VP Conversion Tracking
 *
 * @copyright    Copyright (C) 2012-2023 VirtuePlanet Services LLP. All rights reserved.
 * @license      GNU General Public License version 2 or later; see LICENSE.txt
 * @authors      Abhishek Das <info@virtueplanet.com>
 * @link         https://www.virtueplanet.com
 */
/*
 * This file is part of Mustache.php.
 *
 * (c) 2010-2015 Justin Hileman
 
 * @license The MIT License (MIT); see https://github.com/bobthecow/mustache.php/blob/master/LICENSE
 
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */
defined('_JEXEC') or die;

/**
 * Mustache Template mutable Loader interface.
 */
interface Mustache_Loader_MutableLoader
{
    /**
     * Set an associative array of Template sources for this loader.
     *
     * @param array $templates
     */
    public function setTemplates(array $templates);

    /**
     * Set a Template source by name.
     *
     * @param string $name
     * @param string $template Mustache Template source
     */
    public function setTemplate($name, $template);
}
